<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">
  
  <!--インベントリ情報をエクスポート-->
  
  <xsl:output method="text" media-type="text/plain" encoding="UTF-8" indent="no"/>
  
  <xsl:template match="/">
    <xsl:call-template name="setting"/>
  </xsl:template>

  <xsl:template name="setting">
      <xsl:call-template name ="text">
      <xsl:with-param name="this" select="/Data/Serial"/>
    </xsl:call-template>
  
    <xsl:call-template name ="text">
      <xsl:with-param name="this" select="/Data/Inventory/ComputerName"/>
    </xsl:call-template>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Data/Inventory/ComputerModel"/>
    </xsl:call-template>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Data/Inventory/ComputerManufacturer"/>
    </xsl:call-template>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Data/Inventory/OperatingSystem"/>
    </xsl:call-template>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Data/Inventory/ServicePack"/>
    </xsl:call-template>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Data/Inventory/ProductID"/>
    </xsl:call-template>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Data/Inventory/BIOSPassword"/>
    </xsl:call-template>

    <xsl:for-each select="/Data/Inventory/NICs/Item">
      <xsl:if test="position() &lt;= 2">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Description"/>
        </xsl:call-template>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="IPAddress"/>
        </xsl:call-template>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="IPSubnet"/>
        </xsl:call-template>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DefaultIPGateway"/>
        </xsl:call-template>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DHCPServer"/>
        </xsl:call-template>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="MACAddress"/>
        </xsl:call-template>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="WINSPrimaryServer"/>
        </xsl:call-template>
		<xsl:call-template name="text">
          <xsl:with-param name="this" select="WINSSecondaryServer"/>
        </xsl:call-template>
      </xsl:if>
    </xsl:for-each>

    <xsl:if test="count(/Data/Inventory/NICs/Item) &lt; 2">
      <xsl:text>,</xsl:text>
      <xsl:text>,</xsl:text>
      <xsl:text>,</xsl:text>
      <xsl:text>,</xsl:text>
      <xsl:text>,</xsl:text>
      <xsl:text>,</xsl:text>
	  <xsl:text>,</xsl:text>
      <xsl:text>,</xsl:text>
    </xsl:if>
    
  </xsl:template>

  
  <xsl:template name="text">
    <xsl:param name="this"/>
    <xsl:text>"=""</xsl:text>
    <xsl:value-of select="$this"/>
    <xsl:text>""",</xsl:text>
  </xsl:template>
  
</xsl:stylesheet>